@echo off

rem check for the image directory ...
if NOT EXIST image (
  echo ERROR: directory [ image ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd image
)

echo =========================================
echo START of BOOT image creation process ... 
echo =========================================
echo.

rem start scripts
for %%S in (
  mount-boot.cmd
  finish-boot.cmd
) do (
  echo ########## calling [ %%S ] ##########
  call %%S || ( cd .. ; exit /b )
  echo.
)

rem go back ...
cd ..

echo.
echo ======
echo READY.
echo ======

